<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   close="titlewindowCloseHandler(event)" 
			   creationComplete="creationCompleteHandler(event)" 
			   title="Pesquisa de Atribuicao Caracteristicas Fisicas" 
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   maxWidth="1200" maxHeight="700" 
			    xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	
	<fx:Metadata>
		[Event(name="AtribuicaoCaractFiscaisIncluidoEvent")]
		[Event(name="AtribuicaoCaractFiscaisAtualizadoEvent")]
		[Event(name="AtribuicaoCaractFiscaisExcluidoEvent")]
		[Event(name="AtribuicaoCaractFiscaisSelecionadoEvent")]
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import spark.events.TitleWindowBoundsEvent;
			
			import br.com.desenv.nepalign.vo.Atividade;
			import br.com.desenv.nepalign.vo.AtribuicaoCaractFiscais;
			import br.com.desenv.nepalign.vo.CaracteristicaProduto;
			import br.com.desenv.nepalign.vo.CaracteristicasFiscais;
			import br.com.desenv.nepalign.vo.CategoriaFiscal;
			import br.com.desenv.nepalign.vo.Cliente;
			import br.com.desenv.nepalign.vo.EmpresaFisica;
			import br.com.desenv.nepalign.vo.GrupoCliente;
			import br.com.desenv.nepalign.vo.NaturezaFornecedor;
			import br.com.desenv.nepalign.vo.Page;
			import br.com.desenv.nepalign.vo.Produto;
			import br.com.desenv.nepalign.vo.TipoNotaFiscal;
			
			[Bindable]
			public var listaAtribuicaoCaractFiscais: ArrayCollection = new ArrayCollection();
			private var pageNumber: int = 1;
			private var totalRecords: int;
			private var pageSize: int = 15;
			private var lastPage: int = 1;
			
			[Bindable]
			private var listaAtividadePesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaClientePesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCaracteristicaProdutoPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaProdutoPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCategoriaPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaNaturezaFornecedorPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCaracteristicasFiscaisPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTipoNotaFiscalPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaEmpresaFisicaPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaGrupoClientePesquisa: ArrayCollection = new ArrayCollection();

			private var cliente: Cliente;
			private var produto: Produto;
			
			private var atribuicaoCaractFiscaisComponenteDetalhe: AtribuicaoCaractFiscaisComponenteDetalhe;

			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			
			
			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}

			private function montarObjetoFiltro(): AtribuicaoCaractFiscais
			{
				var atribuicaoCaractFiscaisFiltro: AtribuicaoCaractFiscais = new AtribuicaoCaractFiscais();
				
				atribuicaoCaractFiscaisFiltro.caracteristicasFiscais = ignComboBoxAutoCompleteCaracteristicasFiscaisPesquisa.selectedItem; 
				//atribuicaoCaractFiscaisFiltro.cliente = this.cliente;	
				atribuicaoCaractFiscaisFiltro.cliente = ignAutoCompleteClientePesquisa.itemSelecionado as Cliente;			
							
				//atribuicaoCaractFiscaisFiltro.produto = this.produto;	
				atribuicaoCaractFiscaisFiltro.produto = ignAutoCompleteProdutoPesquisa.itemSelecionado as Produto;			
							
				atribuicaoCaractFiscaisFiltro.atividade = ignComboBoxAutoCompleteAtividadePesquisa.selectedItem; 
				atribuicaoCaractFiscaisFiltro.codigoFiscal = ignTextInputCodigoFiscalPesquisa.text == ""?null:ignTextInputCodigoFiscalPesquisa.text;
			
				atribuicaoCaractFiscaisFiltro.tipo = ignComboBoxTipo.selectedItem == null?NaN:parseInt(ignComboBoxTipo.selectedItem.codigo);
			
				atribuicaoCaractFiscaisFiltro.excecoes = ignTextAreaExcecoesPesquisa.text == ""?null:ignTextAreaExcecoesPesquisa.text;
				atribuicaoCaractFiscaisFiltro.empresaFisica = ignComboBoxAutoCompleteEmpresaFisicaPesquisa.selectedItem; 
				atribuicaoCaractFiscaisFiltro.naturezaFornecedor = ignComboBoxAutoCompleteNaturezaFornecedorPesquisa.selectedItem; 
				atribuicaoCaractFiscaisFiltro.grupoCliente = ignComboBoxAutoCompleteGrupoClientePesquisa.selectedItem; 
				atribuicaoCaractFiscaisFiltro.tipoNotaFiscal = ignComboBoxAutoCompleteTipoNotaFiscalPesquisa.selectedItem; 
				return atribuicaoCaractFiscaisFiltro;
			}
			
			private function creationCompleteHandler( event: FlexEvent ): void {
				carregarListaValidacao();
				
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
				
				var remoteObjectAtividade: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atividadeService", listarAtividadePesquisaResultHandler);	
				remoteObjectAtividade.getOperation("listar").send();
				var remoteObjectCaracteristicaProduto: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("caracteristicaProdutoService", listarCaracteristicaProdutoPesquisaResultHandler);	
				remoteObjectCaracteristicaProduto.getOperation("listar").send();
				var remoteObjectCategoria: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("categoriaFiscalService", listarCategoriaPesquisaResultHandler);	
				remoteObjectCategoria.getOperation("listar").send();
				var remoteObjectNaturezaFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("naturezaFornecedorService", listarNaturezaFornecedorPesquisaResultHandler);	
				remoteObjectNaturezaFornecedor.getOperation("listar").send();
				var remoteObjectCaracteristicasFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("caracteristicasFiscaisService", listarCaracteristicasFiscaisPesquisaResultHandler);	
				remoteObjectCaracteristicasFiscais.getOperation("listar").send();
				var remoteObjectTipoNotaFiscal: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoNotaFiscalService", listarTipoNotaFiscalPesquisaResultHandler);	
				remoteObjectTipoNotaFiscal.getOperation("listar").send();
				var remoteObjectEmpresaFisica: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("empresaFisicaService", listarEmpresaFisicaPesquisaResultHandler);	
				remoteObjectEmpresaFisica.getOperation("listar").send();
				var remoteObjectGrupoCliente: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("grupoClienteService", listarGrupoClientePesquisaResultHandler);	
				remoteObjectGrupoCliente.getOperation("listar").send();
				
				var atribuicaoCaractFiscaisFiltro: AtribuicaoCaractFiscais = new AtribuicaoCaractFiscais();
				remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, atribuicaoCaractFiscaisFiltro); 
			}
			
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- RETORNO DA FUNCAO LISTAR  --------------------------------	
			
			private function listarResultHandler( event: ResultEvent ): void {
				var paginaAtribuicaoCaractFiscais: Page = event.result as Page;
				pageNumber = paginaAtribuicaoCaractFiscais.pageNumber;
				totalRecords = paginaAtribuicaoCaractFiscais.totalRecords;
				lastPage = paginaAtribuicaoCaractFiscais.lastPage();
				listaAtribuicaoCaractFiscais = paginaAtribuicaoCaractFiscais.recordList;
				labelPaginaAtual.text = "" + paginaAtribuicaoCaractFiscais.pageNumber;
				labelTotalRegistro.text = "Total de Registros " + paginaAtribuicaoCaractFiscais.totalRecords;
			}

// CARREGANDO COMBOS			
			private function listarAtividadePesquisaResultHandler( event: ResultEvent ): void 
			{
				listaAtividadePesquisa = event.result as ArrayCollection;
				listaAtividadePesquisa.addItemAt(null, 0);
			}
			private function listarCaracteristicaProdutoPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaCaracteristicaProdutoPesquisa = event.result as ArrayCollection;
				listaCaracteristicaProdutoPesquisa.addItemAt(null, 0);
			}
			private function listarCategoriaPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaCategoriaPesquisa = event.result as ArrayCollection;
				listaCategoriaPesquisa.addItemAt(null, 0);
			}
			private function listarNaturezaFornecedorPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaNaturezaFornecedorPesquisa = event.result as ArrayCollection;
				listaNaturezaFornecedorPesquisa.addItemAt(null, 0);
			}
			private function listarCaracteristicasFiscaisPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaCaracteristicasFiscaisPesquisa = event.result as ArrayCollection;
				listaCaracteristicasFiscaisPesquisa.addItemAt(null, 0);
			}
			private function listarTipoNotaFiscalPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaTipoNotaFiscalPesquisa = event.result as ArrayCollection;
				listaTipoNotaFiscalPesquisa.addItemAt(null, 0);
			}
			private function listarEmpresaFisicaPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaEmpresaFisicaPesquisa = event.result as ArrayCollection;
				listaEmpresaFisicaPesquisa.addItemAt(null, 0);
			}
			private function listarGrupoClientePesquisaResultHandler( event: ResultEvent ): void 
			{
				listaGrupoClientePesquisa = event.result as ArrayCollection;
				listaGrupoClientePesquisa.addItemAt(null, 0);
			}

// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
			protected function buttonPesquisarClientePesquisa_clickHandler(event:MouseEvent):void
			{
				var clienteComponentePesquisa: ClienteComponentePesquisa = new ClienteComponentePesquisa();
				clienteComponentePesquisa.addEventListener("ClienteSelecionadoEvent", atualizarClientePesquisaPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(clienteComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(clienteComponentePesquisa);
			}
			
			private function atualizarClientePesquisaPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoCliente: Cliente = e.result as Cliente;
				ignAutoCompleteClientePesquisa.itemSelecionado = novoCliente;
			}
			protected function buttonPesquisarProdutoPesquisa_clickHandler(event:MouseEvent):void
			{
				var produtoComponentePesquisa: ProdutoComponentePesquisa = new ProdutoComponentePesquisa();
				produtoComponentePesquisa.addEventListener("ProdutoSelecionadoEvent", atualizarProdutoPesquisaPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(produtoComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(produtoComponentePesquisa);
			}
			
			private function atualizarProdutoPesquisaPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoProduto: Produto = e.result as Produto;
				ignAutoCompleteProdutoPesquisa.itemSelecionado = novoProduto;
			}
	
			
			
// -------------FUNCAO DE FILTRAR  -------------------------------------------------------			

			private function buttonFiltrarClickHandler( event: MouseEvent ): void {
				if (validar(event))
				{
					
					var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
					remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, montarObjetoFiltro());
				}	 
			}
			
// -------------FUNCOES DE INSERIR E ATUALIZAR  -------------------------------------------------------			

			private function buttonInserir_clickHandler( event: MouseEvent): void 
			{
				var atribuicaoCaractFiscaisComponenteCadastro: AtribuicaoCaractFiscaisComponenteCadastro = new AtribuicaoCaractFiscaisComponenteCadastro();
				atribuicaoCaractFiscaisComponenteCadastro.atribuicaoCaractFiscais = new AtribuicaoCaractFiscais(); 
				atribuicaoCaractFiscaisComponenteCadastro.addEventListener("AtribuicaoCaractFiscaisIncluidoEvent", atualizarListaAtribuicaoCaractFiscaisPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(atribuicaoCaractFiscaisComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(atribuicaoCaractFiscaisComponenteCadastro);
			}
			
			protected function buttonFechar_clickHandler(event:MouseEvent):void
			{
				var atribuicaoCaractFiscaisSelecionado: AtribuicaoCaractFiscais = datagridListaAtribuicaoCaractFiscais.selectedItem as AtribuicaoCaractFiscais;
				this.dispatchEvent(new ResultEvent("AtribuicaoCaractFiscaisSelecionadoEvent",false, true, atribuicaoCaractFiscaisSelecionado, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function datagridListaAtribuicaoCaractFiscais_doubleClickHandler(event:MouseEvent):void
			{
				atribuicaoCaractFiscaisComponenteDetalhe = new AtribuicaoCaractFiscaisComponenteDetalhe();
				atribuicaoCaractFiscaisComponenteDetalhe.atribuicaoCaractFiscais = datagridListaAtribuicaoCaractFiscais.selectedItem as AtribuicaoCaractFiscais;
				atribuicaoCaractFiscaisComponenteDetalhe.addEventListener("AtribuicaoCaractFiscaisExcluidoEvent", atualizarListaAtribuicaoCaractFiscaisPorExclusaoResultHandler);
				atribuicaoCaractFiscaisComponenteDetalhe.addEventListener("AtribuicaoCaractFiscaisAtualizadoEvent", atualizarListaAtribuicaoCaractFiscaisPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(atribuicaoCaractFiscaisComponenteDetalhe, this, true);
				UPCPopUpManager.instance.centerWindow(atribuicaoCaractFiscaisComponenteDetalhe);
			}
			
			
			private function atualizarListaAtribuicaoCaractFiscaisPorInclusaoResultHandler(e:Event):void
			{
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
				remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro()); 
			}
			
			private function atualizarListaAtribuicaoCaractFiscaisPorAtualizacaoResultHandler(e:Event):void
			{
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
				remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
				
			}
			
			
			private function atualizarListaAtribuicaoCaractFiscaisPorExclusaoResultHandler(e:Event):void
			{
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
				remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
			}
			
			
			
			
		
// -------------FUNCOES DE NAVEGACAO -------------------------------------------------------			
			protected function linkButtonProximaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	

				if (pageNumber < lastPage)
				{
					remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber + 1), montarObjetoFiltro());
				}
				else
				{
					remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro());
				}				
			}
			
			protected function linkButtonAnteriorPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
				
				if (pageNumber > 1)
				{
					remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber - 1) , montarObjetoFiltro());
				}
				else
				{
					remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro());
				}
			}
			
			protected function linkButtonPrimeiraPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
				remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro()); 
			}
			
			protected function linkButtonUltimaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectAtribuicaoCaractFiscais: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atribuicaoCaractFiscaisService", listarResultHandler);	
				remoteObjectAtribuicaoCaractFiscais.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage , montarObjetoFiltro()); 
			}
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<s:ArrayCollection id="listaOpcaoSimNao">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="Sim"/>
			<fx:Object codigo="N" valor="Nao"/>
		</s:ArrayCollection>
		<s:ArrayCollection id="listaTipo">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="1" valor="01 - Tipo de Nota"/>
			<fx:Object codigo="2" valor="02 - Grupo de Cliente"/>
			<fx:Object codigo="3" valor="03 - Cliente/Produto"/>
			<fx:Object codigo="4" valor="04 - Cliente/NCM"/>
			<fx:Object codigo="5" valor="05 - Produto"/>
			<fx:Object codigo="8" valor="06 - NCM"/>
			<fx:Object codigo="9" valor="07 - Cliente"/>
			<fx:Object codigo="10" valor="08 - Grupo de Cliente/Produto"/>
			<fx:Object codigo="11" valor="09 - Grupo de Cliente/NCM"/>
			<fx:Object codigo="12" valor="10 - Atividade"/>
			<fx:Object codigo="13" valor="11 - Atividade/Produto"/>
		</s:ArrayCollection>	
	</fx:Declarations>
<mx:VBox>
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEmpresaFisicaPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteEmpresaFisicaPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteEmpresaFisicaPesquisa" dataProvider="{listaEmpresaFisicaPesquisa}" labelField="razaoSocial" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>	

			<mx:GridItem styleName="gridLabel">
				<s:Label text="Caracteristica Fiscal:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoCaracteristicasFiscaisPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCaracteristicasFiscaisPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCaracteristicasFiscaisPesquisa" dataProvider="{listaCaracteristicasFiscaisPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>		

			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tipo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTipo" styleName="labelValidacao"  text="{ignComboBoxTipo.errorString}"/>
					<visual:IgnComboBoxFixo id="ignComboBoxTipo" obrigatorio="false" dataProvider="{listaTipo}" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cliente:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoClientePesquisa" styleName="labelValidacao" text="{ignAutoCompleteClientePesquisa.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="nome" id="ignAutoCompleteClientePesquisa" enviarArgumentos="true" destino="clienteService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Cliente" tabEnabled="true" />  
						<s:Button id="buttonPesquisarClientePesquisa" width="30" label="..." click="buttonPesquisarClientePesquisa_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Atividade:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoAtividadePesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteAtividadePesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteAtividadePesquisa" dataProvider="{listaAtividadePesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>	

			<mx:GridItem styleName="gridLabel">
				<s:Label text="Produto:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoProdutoPesquisa" styleName="labelValidacao" text="{ignAutoCompleteProdutoPesquisa.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="nomeProduto" id="ignAutoCompleteProdutoPesquisa" enviarArgumentos="true" destino="produtoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Produto" tabEnabled="true" />  
						<s:Button id="buttonPesquisarProdutoPesquisa" width="30" label="..." click="buttonPesquisarProdutoPesquisa_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Natureza Fornecedor:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoNaturezaFornecedorPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteNaturezaFornecedorPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteNaturezaFornecedorPesquisa" dataProvider="{listaNaturezaFornecedorPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>		
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Codigo Fiscal:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoCodigoFiscalPesquisa" styleName="labelValidacao" text="{ignTextInputCodigoFiscalPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputCodigoFiscalPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Grupo Cliente:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoGrupoClientePesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteGrupoClientePesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteGrupoClientePesquisa" dataProvider="{listaGrupoClientePesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>		
				
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tipo Nota Fiscal:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTipoNotaFiscalPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteTipoNotaFiscalPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteTipoNotaFiscalPesquisa" dataProvider="{listaTipoNotaFiscalPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>		
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Excecoes:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor" colSpan="3">
				<s:VGroup>
					<s:Label id="labelValidacaoExcecoesPesquisa" styleName="labelValidacao" text="{ignTextAreaExcecoesPesquisa.errorString}"/>
					<visual:IgnTextArea id="ignTextAreaExcecoesPesquisa" width="410" heightInLines="2"  obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>


		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="6" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="right">
				<mx:Button id="buttonFiltrar" label="Filtrar" click="buttonFiltrarClickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="6">
				<s:Spacer/>	
			</mx:GridItem>
		</mx:GridRow>	
	</mx:Grid>
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="6" horizontalAlign="center">
				
				
				<mx:LinkButton id="linkButtonPrimeiraPagina" label="&lt;&lt;" click="linkButtonPrimeiraPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonAnteriorPagina" label="&lt;" click="linkButtonAnteriorPagina_clickHandler(event)"/>
				<mx:Label id="labelPaginaAtual" text=""/>
				<mx:LinkButton id="linkButtonProximaPagina" label="&gt;" click="linkButtonProximaPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonUltimaPagina" label="&gt;&gt;" click="linkButtonUltimaPagina_clickHandler(event)"/>				
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="6" horizontalAlign="center">
				<mx:DataGrid id="datagridListaAtribuicaoCaractFiscais"  width="900" verticalScrollPolicy="on" horizontalScrollPolicy="on" dataProvider="{listaAtribuicaoCaractFiscais}" doubleClick="datagridListaAtribuicaoCaractFiscais_doubleClickHandler(event)" doubleClickEnabled="true">
					<mx:columns>
						<mx:DataGridColumn visible="false" dataField="id"/>
						<mx:DataGridColumn dataField="caracteristicasFiscais.descricao" headerText="Caracteristica Fiscal" resizable="true" width="150"/>
						<mx:DataGridColumn dataField="empresaFisica.razaoSocial" headerText="Empresa" resizable="true" width="150"/>
						<mx:DataGridColumn dataField="tipo" headerText="Tipo" resizable="true" width="39"/>
						<mx:DataGridColumn dataField="cliente.nome" headerText="Cliente" resizable="true"/>
						<mx:DataGridColumn dataField="produto.nomeProduto" headerText="Produto" resizable="true"/>
						<mx:DataGridColumn dataField="atividade.descricao" headerText="Atividade" resizable="true"/>
						<mx:DataGridColumn dataField="codigoFiscal" headerText="NCM" resizable="true"/>
						<mx:DataGridColumn dataField="excecoes" headerText="Excecoes" resizable="true"/>
						<mx:DataGridColumn dataField="naturezaFornecedor.descricao" headerText="Natureza Fornecedor" resizable="true"/>
						<mx:DataGridColumn dataField="grupoCliente.descricao" headerText="Grupo Cliente" resizable="true"/>
						<mx:DataGridColumn dataField="tipoNotaFiscal.descricao" headerText="Tipo Nota Fiscal" resizable="true"/>
					</mx:columns>
				</mx:DataGrid>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			
			<mx:GridItem colSpan="2" horizontalAlign="left">
				<mx:Label id="labelTotalRegistro" text=""/>
			</mx:GridItem>
			<mx:GridItem colSpan="4" horizontalAlign="right">
				<mx:Button id="buttonInserir" label="Novo" click="buttonInserir_clickHandler(event)"/>
				<mx:Button id="buttonFechar" label="Fechar" click="buttonFechar_clickHandler(event)"/>
			</mx:GridItem>	
		</mx:GridRow>
				
	</mx:Grid>
</mx:VBox>
</s:TitleWindow>
